const btn = document.querySelector(".btn");
const cubeImage = document.querySelector(".cube-image");
const resultSection = document.querySelector(".result");

let counter = 0;
let clicks = 0;

//Function
const paragraphToWebsite = (paragraphContent, whereToAdd) => {
  const p = document.createElement("p");
  p.textContent = paragraphContent;
  whereToAdd.append(p);
};

btn.addEventListener("click", () => {
  const randomNumber = Math.floor(Math.random() * 6) + 1; // čísla jsou v názvu obrázku
  cubeImage.src = "img/" + randomNumber + ".jpg";
  //   counter = counter + randomNumber;
  counter += randomNumber; // zkrácený zápis

  resultSection.textContent = ""; // vyčistí stránku
  paragraphToWebsite(counter, resultSection);

  // Počet kliknutí - počet pokusů
  clicks += 1;

  // přídání výherního textu
  if (clicks < 5 && counter < 20) {
    // Házejte dál
    paragraphToWebsite("Házejte dál", resultSection);
  } else if (clicks <= 5 && counter >= 20) {
    // Vyhráli jste
    paragraphToWebsite("Vyhráli jste", resultSection);
    btn.style.visibility = "hidden";
  } else if (clicks == 5 && counter < 20) {
    // Prohráli jste
    paragraphToWebsite("Prohráli jste", resultSection);
    btn.style.visibility = "hidden";
  }
});
